package ch.iet_gibb.heatcalculatorfx.application;

import ch.iet_gibb.heatcalculatorfx.model.GeneralHeatstorage;
import ch.iet_gibb.heatcalculatorfx.model.Property;
import ch.iet_gibb.heatcalculatorfx.view.HeatstorageView_1;
import ch.iet_gibb.heatcalculatorfx.view.ViewInterface;
import javafx.event.ActionEvent;

import java.util.ArrayList;
import java.util.List;

public class HeatCalculatorController implements javafx.event.EventHandler<ActionEvent> {

    protected List<GeneralHeatstorage> models;
    protected ViewInterface view;
    protected int currentHeatstorage = 0;

    public HeatCalculatorController(List<GeneralHeatstorage> models) {
        this.models = models;
    }

    @Override
    public void handle(ActionEvent actionEvent) {
        showNextHeatstorage();
    }

    public void setView(ViewInterface view) {
        this.view = view;
    }

    public void startView() {
        view.startView();
    }

    public void showNextHeatstorage() {
        if (currentHeatstorage < models.size() - 1) {
            currentHeatstorage++;
        } else {
            currentHeatstorage = 0;
        }
        view.startView();
    }

    public ArrayList<Property> getHeatstorage() {
        return models.get(currentHeatstorage).getProperties();
    }

    public String getHeatcalculator() {
        return models.get(currentHeatstorage).toString();
    }
}