package ch.iet_gibb.heatcalculatorfx.application;

import ch.iet_gibb.heatcalculatorfx.model.CuboidHeatstorage;
import ch.iet_gibb.heatcalculatorfx.model.CylindricalHeatstorage;
import ch.iet_gibb.heatcalculatorfx.model.GeneralHeatstorage;
import ch.iet_gibb.heatcalculatorfx.model.Heatstorage;
import ch.iet_gibb.heatcalculatorfx.view.HeatstorageView_1;
import ch.iet_gibb.heatcalculatorfx.view.HeatstorageView_2;
import javafx.application.Application;
import javafx.stage.Stage;

import java.util.ArrayList;
import java.util.List;

public class HeatCalculatorFX extends Application {
    @Override
    public void start(Stage stage) throws Exception {
        List<GeneralHeatstorage> storages = createModels();
        HeatCalculatorController controller = new HeatCalculatorController(storages);
        HeatstorageView_1 view = new HeatstorageView_1(stage, controller);
        controller.setView(view);
        controller.startView();
    }

    public static void main(String[] args) {
        launch(args);
    }

    protected List<GeneralHeatstorage> createModels(){
        ArrayList<GeneralHeatstorage> storages = new ArrayList<>();
        Heatstorage heatstorage_1 = new Heatstorage("Speicher 1",23.3f,45f,22f);
        storages.add(heatstorage_1);
        CylindricalHeatstorage heatstorage_2 = new CylindricalHeatstorage("Speicher 2", 50f, 12f, 70f, 43f);
        storages.add(heatstorage_2);
        CuboidHeatstorage heatstorage_3 = new CuboidHeatstorage("Speicher 3", 80f, 20f, 40f, 60f, 55.3f);
        storages.add(heatstorage_3);
        return storages;
    }
}