package ch.iet_gibb.heatcalculatorfx.model;


import java.util.ArrayList;

/**
 * Software zur Erstellung von Wärmespeicher
 *
 * @author Benedikt Schwiede
 * @version 1.0.1
 * @since 04.03.2025
 */
public class Heatstorage extends GeneralHeatstorage {
    /**
     * Konstruktor von Heatstorage
     */
    public Heatstorage() {
    }

    /**
     * Konstruktor von Heatstorage
     *
     * @param name
     * @param volume
     * @param temperature
     * @param requiredEnergyPerDay
     */
    public Heatstorage(String name, float volume, float temperature, float requiredEnergyPerDay) {
        super(name, volume, temperature, requiredEnergyPerDay);
    }

    @Override
    public String toString() {
        return "Name: " + name
                + "\nVolume: " + volume + " Liters"
                + "\nTemperature: " + temperature + " Celsius"
                + "\nStored energy: " + getStoredEnergy() + " kWh"
                + "\nRequired energy: " + requiredEnergyPerDay + " kWh"
                + "\nRemaining days of energy: " + getRemainingDaysOfEnergy() + " Days";
    }
}
